Quassel IRC - Bug #894

quassel-client crash on exit
01/18/2010 03:47 AM - kitterma

Status: Closed Start date: 01/18/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.5.2 0S: Any

Description

Application that crashed: quasselclient

Version of the application: v0.5.0 (dist-638987¢)
KDE Version: 4.3.4 (KDE 4.3.4)

Qt Version: 4.5.2

Operating System: Linux 2.6.31-16-generic i686
Distribution: Ubuntu 9.10

What | was doing when the application crashed:

| disabled visual notifications for private messages while a rash of CTCP VERSION requests were coming in. When that didn't stop
the visual notification flood, | exited the client. The crash occurred right after | did File --> Quit.

—— Backtrace:
Application: Quassel IRC (quasselclient), signal: Segmentation fault

[Current thread is 1 (Thread 0xb781f760 (LWP 2216)) ]

Thread 2 (Thread 0xb2d5fb70 (LWP 2859)):

#0 0x00519422 in __kernel_vsyscall ()

#1 0x00446e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2 0x0070987d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.s0.6

#3 0x00c84e67 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so0.4
#4 0x00847922 in ?? () from /usr/lib/libQtNetwork.so.4

#5 0x00c83e32 in ?? () from /usr/lib/libQtCore.so.4

#6 0x0044280e in start_thread () from /lib/tls/i686/cmov/libpthread.so0.0

#7 0x006fc8de in clone () from /lib/tls/i686/cmov/libc.s0.6

Thread 1 (Thread 0xb781f760 (LWP 2216)):

[KCrash Handler]

#6 0x00000010 in ?7? ()

#7 0x08090d15 in gDeleteAll<QHash<Bufferld, Indicator*> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:358
#8 0x080901b0 in ~IndicatorNotificationBackend (this=0x9de1d08, __in_chrg=<value optimized out>) at
/build/buildd/quassel-0.5.0/src/qtui/indicatornotificationbackend.cpp:59

#9 0x00d8346f in QObjectPrivate::deleteChildren() () from /usr/lib/libQtCore.so.4

#10 0x00fd985b in QWidget::~QWidget() () from /usr/lib/libQtGui.so.4

#11 0x013aa3e1 in QMainWindow::~QMainWindow() () from /usr/lib/libQtGui.so.4

#12 0x01d112f4 in KMainWindow::~KMainWindow() () from /usr/lib/libkdeui.s0.5

#13 0x0807aea5 in ~MainWin (this=0x9¢c57128, __in_chrg=<value optimized out>) at
/build/buildd/quassel-0.5.0/src/qgtui/mainwin.cpp:221

#14 0x00d83135 in gDeletelnEventHandler(QObject*) () from /ust/lib/libQtCore.so0.4

#15 0x00d8462b in QObject::event(QEvent*) () from /usr/lib/libQtCore.s0.4

#16 0x00fdd906 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4

#17 0x013ab297 in QMainWindow::event(QEvent*) () from /usr/lib/libQtGui.so.4

#18 0x08074f5b in MainWin::event (this=0x9¢c57128, event=0xe8b95a8) at /build/buildd/quassel-0.5.0/src/qtui/mainwin.cpp:896
#19 0x00f88f54 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#20 0x00f905ca in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#21 0x01c281aa in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so0.5

22 0x00d746cb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /ust/lib/libQtCore.so.4

23 0x00d752b2 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so0.4
24 0x00d7547d in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so0.4

25 0x00d75589 in QCoreApplication::exec() () from /usr/lib/libQtCore.so0.4

26 0x00f88dd7 in QApplication::exec() () from /usr/lib/libQtGui.so.4

= ‘# ‘# ‘4&‘: ‘#

04/29/2024 1/2



https://bugs.quassel-irc.org/issues/1
https://bugs.quassel-irc.org/issues/2
https://bugs.quassel-irc.org/issues/3
https://bugs.quassel-irc.org/issues/4
https://bugs.quassel-irc.org/issues/5
https://bugs.quassel-irc.org/issues/6
https://bugs.quassel-irc.org/issues/7
https://bugs.quassel-irc.org/issues/6
https://bugs.quassel-irc.org/issues/7
https://bugs.quassel-irc.org/issues/8
https://bugs.quassel-irc.org/issues/9
https://bugs.quassel-irc.org/issues/10
https://bugs.quassel-irc.org/issues/11
https://bugs.quassel-irc.org/issues/12
https://bugs.quassel-irc.org/issues/13
https://bugs.quassel-irc.org/issues/14
https://bugs.quassel-irc.org/issues/16
https://bugs.quassel-irc.org/issues/17
https://bugs.quassel-irc.org/issues/18
https://bugs.quassel-irc.org/issues/19
https://bugs.quassel-irc.org/issues/20
https://bugs.quassel-irc.org/issues/21
https://bugs.quassel-irc.org/issues/22
https://bugs.quassel-irc.org/issues/23
https://bugs.quassel-irc.org/issues/24
https://bugs.quassel-irc.org/issues/25
https://bugs.quassel-irc.org/issues/26

#27 0x08071bed in main (argc=32, argv=0xbfc2e084) at /build/buildd/quassel-0.5.0/src/common/main.cpp:139

Report to http://bugs.quassel-irc.org/projects/quassel-irc/issues/new

History

#1 - 03/04/2010 08:15 PM - johu

- Status changed from New to Feedback

please give feedback, if this is resolved with quassel 0.5.2 or higher

#2 - 08/04/2010 09:40 PM - johu
- Status changed from Feedback to Closed
- Version changed from 0.5.0 to 0.5.2

No feedback was given within 5 months.
